# qdbm Namespace Reference

Namespace of QDBM. More...

## Classes

class | DBM_error
| Error container for ADBM. More...
class | Datum
| Datum of records for ADBM. More...
class | ADBM
| Aabstraction for database managers compatible with DBM. More...
class | Curia_error
| Error container for Curia. More...
class | Curia
| C++ API of Curia, the extended API of QDBM. More...
class | Depot_error
| Error container for Depot. More...
class | Depot
| C++ API of Depot, the basic API of QDBM. More...
class | Villa_error
| Error container for Villa. More...
class | Villa
| C++ API of Villa, the basic API of QDBM. More...

## Functions

Datum | operator+ (const Datum &former, const Datum &latter)
| Temporary concatenation operator for Datum.
Datum | operator+ (const Datum &datum, const char *str)
| Temporary concatenation operator for Datum.
Datum | operator+ (const char *str, const Datum &datum)
| Temporary concatenation operator for Datum.

## Variables

pthread_mutex_t | ourmutex
| Common Mutex of QDBM.

## Detailed Description

Namespace of QDBM.

## Function Documentation

qdbm::Datum qdbm::operator+ | ( | const char * | str,
|  | const Datum & | datum |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | str | the former string.
  | datum | the latter datum.

Returns:
  reference to a temporary instance.

qdbm::Datum qdbm::operator+ | ( | const Datum & | datum,
|  | const char * | str |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | datum | the former datum.
  | str | the latter string.

Returns:
  reference to a temporary instance.

qdbm::Datum qdbm::operator+ | ( | const Datum & | former,
|  | const Datum & | latter |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | former | the former datum.
  | latter | the latter datum.

Returns:
  reference to a temporary instance.